/* Generics | The main body */

*{
    margin: 0px;
    padding: 0px;
    font-family:"Orbitron", sans-serif;
    font-weight:400;
    color:#EBEBEB;
    cursor: url("../Assets/Home/CURs/moroquint_Cursor_1.cur")5 5, auto;
}

img {
    -webkit-user-drag: none;
    -moz-user-drag: none;
    -ms-user-drag: none;
    user-select: none;
    pointer-events: none;
}

a {
    text-decoration: none;
    cursor: url("../Assets/Home/CURs/moroquint_Cursor_2.cur") 5 5, auto;
}

::selection {
  color: #111010;
  background: #EBEBEB;
}

input::selection {
    color: #EBEBEB;
    background-color: #111010;
}

::-webkit-scrollbar {
  width: 10px;
}

::-webkit-scrollbar-track {
  background: #111010;
}

::-webkit-scrollbar-thumb {
  background: #EBEBEB;
  border-radius: 0px;
}

::-webkit-scrollbar-thumb:hover {
  background: #EBEBEB;
}

/* h6 is reserved for black text in white background */

h6{
    color: #111010;
}

h6::selection {
  color: #EBEBEB;
  background: #111010;
}


body{
    background-color: #111010;
}

#Home_main{
    background-color: #111010;
}

#main_border{
    border: 3px #EBEBEB solid;
    margin-inline: 2%;
    margin-top: 3vh;
    width: 96%;
}

/* Navbar style */

#navbar{
    border-bottom: 3px #EBEBEB solid;
    height: 10vh;
    min-height: 40px;
    display: grid;
    grid-template-columns: 10vh 1fr 3fr 10vh;
}

/* Navbar exception media query */
@media (max-height:400px) {
    #navbar{
        grid-template-columns: 40px 1fr 3fr 40px;
    }
}   

#Logo_container{
    border-right: #EBEBEB 3px solid;
    display: flex;
    justify-content: center;
    align-items: center;
    height: 100%;
    min-width: 40px;
    min-height: 40px;
}

#Logo_container a{
    display: flex;
    justify-content: center;
    align-items: center;
    height: 70%;
    width: 70%;
}

#Logo_container img{
    width: 100%;
    height: auto;
}

#Title_container{
    border-right: #EBEBEB 3px solid;
    display: flex;
    justify-content: center;
    align-items: center;
}

#Title_container h1{
    font-size: 1.7vw;
}

#Links_container{
    border-right: #EBEBEB 3px solid;
    display: flex;
    justify-content: space-around;
    align-items: center;
}

#Links_container a{
    font-size: 1.5vw;
}

#Qr_container{
    display: flex;
    justify-content: center;
    align-items: center;
    min-width: 40px;
    min-height: 40px;
}

#Qr_container img{
    height: 90%;
    width: 90%;
}

#Menu_container{
    display: none;
}

/* Services_overview styles */

#Services_overview_description{
    height: 35vh;
    min-height: 350px;
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding-bottom: 1rem;
}

#Services_overview_txt{
    display: grid;
    margin-left: 2%;
}

#Services_overview_txt h1{
    font-size: 5vw;
}

#Services_overview_txt h2{
    font-size: 1.1vw;
    width: 50vw;
    font-family: "Space grotesk", sans-serif;
    font-weight: 100;
}

#Services_overview_pic img{
    width: 30vw;
}

#first_row{
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 2rem;
    margin-bottom: 2rem;
}

#service_card{
    border: 3px #EBEBEB solid;
    width: 25%;
}

#card_title{
    border-bottom: 3px #EBEBEB solid;
    padding: 1rem;
    display: flex;
    justify-content: space-between;
    align-items: center;
}

#card_title h1{
    font-size: 1.5vw;
    font-family: "Space grotesk", sans-serif;
}

#card_title img{
    height: 5vh;
    min-height: 60px;
}

#card_body{
    display: flex;
    flex-direction: column;
    justify-content: start;
    align-items: start;
    padding: 1rem;
}

#card_body_discription{
    font-family: "Space grotesk", sans-serif;
    font-weight: 100;
    font-size: 0.9vw;
    margin-bottom: 2rem;
    height: 15vh;
    min-height: 120px;
    max-height: 200px;
}

#card_body_link{
    width: 40%;
}

#card_body_link :hover{
    cursor: url("../Assets/Home/CURs/moroquint_Cursor_2.cur")0 0, pointer;
    gap: 2vw;
}

#card_body_link_container{
    display: flex;
    justify-content: space-between;
    align-items: center;
}

#card_body_link_container h1{
    font-size: 1.5vw;
    font-weight: 500;
    font-family: "Space grotesk", sans-serif;
}

#card_body_link_container img{
    width: 1.5vw;
}

#second_row{
    display: flex;
    justify-content:center;
    align-items: center;
    gap: 2rem;
    margin-bottom: 2rem;
}

/* Why MOROQUNT section styles */

#why_container{
    height: 40vh;
    min-height: 600px;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items:start;
    margin-inline: 4%;
    padding-top: 25vh;
    padding-bottom: 25vh;
}

#why_moroquint{
    margin-bottom: 5vh;
    font-size: 2.6vw;
    margin-inline: -2%;
}

#sub_question_container{
    display: flex;
    justify-content: space-between;
    width: 100%;
}

#sub_question{
    width: 20%;
    display: flex;
    flex-direction: column;
    justify-content: start;
    align-items: start;
}

#sub_question h1{
    margin-bottom: 1rem;
    font-size: 1.3vw;
    font-weight: 500;
    font-family: "Space grotesk", sans-serif;
}

#sub_question h2{
    font-size: 0.8vw;
    font-weight: 100;
    font-family: "Space grotesk", sans-serif;
}

/* Services CTA section styles */

#services_quote{
    display: grid;
}

#services_quote h2{
    text-align: end;
    margin-right: 1%;
    font-size: 1vw;
    font-weight: 100;
    font-family: "Space grotesk", sans-serif;
}

#services_quote_slider{
    width: 100%;
    overflow: hidden;
}

#services_quote_track{
    display: flex;
    width: max-content;
    animation: scrollLeft 25s linear infinite;
}

#services_quote_track h1{
    font-size: 6.5vw;
    font-family: "Pixelify Sans", sans-serif;
    margin-top: 1rem;
    padding-right: 10vw;
}

@keyframes scrollLeft{
    from{
        transform: translateX(0);
    }
    to{
        transform: translateX(-50%);
    }
}

#cta_container{
    display: flex;
    justify-content: space-between;
    align-items: start;
    margin: 4%;
}

#encouraging_Text{
    margin-top: 10vh;
}

#encouraging_Text h1{
    font-size: 2vw;
    font-weight: 500;
    margin-bottom: 3vh;
}

#encouraging_Text h2{
    font-size: 1.5vw;
    font-weight: 100;
    font-family: "Space grotesk", sans-serif;
    width: 30vw;
}

#services_form h1{
    margin-top: 2vh;
    font-size: 0.8vw;
    font-weight: 400;
}

#services_form input{
    width: 40vw;
    height: 40px;
    background-color: #ebebeb28;
    border: none;
    margin-top: 1vh;
    padding-inline: 1rem;
    font-family: "Space grotesk", sans-serif;
    font-size: 16px;
    cursor: url("../Assets/Home/CURs/moroquint_Cursor_2.cur")0 0, pointer;
}

#services_form textarea{
    width: 40vw;
    height: 100px;
    background-color: #ebebeb28;
    border: none;
    margin-top: 1vh;
    padding-inline: 1rem;
    padding-top: 2vh;
    font-family: "Space grotesk", sans-serif;
    font-size: 16px;
    resize: none;
    cursor: url("../Assets/Home/CURs/moroquint_Cursor_2.cur")0 0, pointer;
}

#submit_button{
    border: 3px #EBEBEB solid;
    width: 100%;
    height: 40px;
    background-color: #111010;
    font-family: "Space grotesk", sans-serif;
    font-size: 16px;
    margin-top: 2vh;
    cursor: url("../Assets/Home/CURs/moroquint_Cursor_2.cur")0 0, pointer;
}

/* Footer section styles */

#Footer_section{
    display: grid;
}

#Copyright_section{
    margin-top: 1vh;
    margin-bottom: 10px;
    padding-inline: 2rem;
    display: flex;
    justify-content: space-between;
    align-items: center;
}

#Copyright_text h1{
    font-size: 1vw;
}

#Copyright_text div{
    display: flex;
    justify-content: space-between;
    align-items: center;
}

#Copyright_text h2{
    color: #9370DB;
    font-size: 1vw;
    cursor: url("../Assets/Home/CURs/moroquint_Cursor_2.cur")0 0, pointer;
}

#footer_logo{
    display: flex;
    justify-content: space-between;
    align-items: center;
}

#footer_logo img{
    height: 40px;
    margin-right: 1vw;
}

#footer_logo h1{
    font-size: 1.3vw;
    font-weight: 500;
}

















/* Style for Screens between 1500px width & 1100px width */

@media (max-width:1500px) {

/* Generics | The main body */

#main_border{
    border: 2px #EBEBEB solid;
}

/* Navbar style */

#navbar{
    border-bottom: #EBEBEB 2px solid;
}
#Links_container{
    border-right: #EBEBEB 2px solid;
}

/* Services_overview styles */

#Services_overview_description{
    min-height: 300px;
}

#first_row{
    gap: 1rem;
    margin-bottom: 1rem;
}

#service_card{
    border: 2px #EBEBEB solid;
    width: 25%;
}

#card_title{
    border-bottom: 2px #EBEBEB solid;
    padding: 1rem;
    display: flex;
    justify-content: space-between;
    align-items: center;
}

#card_title img{
    height: 5vh;
    min-height: 40px;
    max-height: 50px;
}

#card_body_discription{
    min-height: 100px;
    max-height: 120px;
}

#second_row{
    gap: 1rem;
    margin-bottom: 1rem;
}
}










/* Style for Screens between 1100px width & 800px width */

@media (max-width:1100px) {

/* Generics | The main body */

#main_border{
    border: 1px #EBEBEB solid;
}

/* Navbar style */

#navbar{
    border-bottom: 1px #EBEBEB solid;
}

#Logo_container{
    border-right: 1px #EBEBEB solid;
}

#Title_container{
    border-right: 1px #EBEBEB solid;
}

#Links_container{
    border-right: #EBEBEB 1px solid;
}

/* Services_overview styles */

#Services_overview_description{
    min-height: 200px;
}

#first_row{
    gap: 1rem;
    margin-bottom: 1rem;
}

#service_card{
    border: 1px #EBEBEB solid;
    width: 25%;
}

#card_title{
    border-bottom: 1px #EBEBEB solid;
    padding: 0.5rem;
}

#card_title img{
    height: 5vh;
    min-height: 20px;
    max-height: 25px;
}

#card_body{
    padding: 0.5rem;
}

#card_body_discription{
    min-height: 140px;
    max-height: 160px;
    font-size: 1.2vw;
}

#second_row{
    gap: 1rem;
    margin-bottom: 1rem;
}

/* Why MOROQUNT section styles */

#why_container{
    min-height: 400px;
}

}











/* Style for Screens under 800px width */

@media (max-width:800px) {

/* Navbar style */

#navbar{
    border-bottom: 1px #EBEBEB solid;
    height: 7vh;
    min-height: 40px;
    display: flex;
    justify-content: space-between;
    align-items: center;
}

#Logo_container{
    height: 7vh;
    width: 7vh;
    min-height: 40px;
    min-width: 40px;
}

#Logo_container img{
    height: 100%;
    width: 100%;
}

#Title_container{
    border: 0px;
}

#Title_container h1{
    font-size: 4vw;
}

#Links_container{
    display: none;
}

#Qr_container{
    display: none;
}

#Menu_container{
    display: flex;
    justify-content: center;
    align-items: center;
    height: 7vh;
    width: 7vh;
    min-height: 40px;
    min-width: 40px;
    border-left: 1px #EBEBEB solid;
    z-index: 100;
}

.hidden-menu {
    background-color: #111010;
    border-left: 1px solid #EBEBEB;
    background-image: url(../Assets/Home/PNGs/Amazigh_script.png);
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
    height: 100vh;
    width: 100%;
    max-width: 450px;
    position: fixed;
    top: 0;
    right: -450px;
    display: flex;
    flex-direction: column;
    align-items: center;    
    justify-content: center;
    gap: 10vh;
    text-align: center;
    font-size: 3rem;
    transition: .6s ease;
}

.hidden-menu-link {
    display: flex;
    justify-content: center;
    align-items: center;
}

.hidden-menu.active {
    right: 0;
}

.hidden-menu a{
    font-size: 5vw;
}

.hidden-menu.active a{
    font-size: 5vw;
}

.menu-button {
    height: 100%;
    width: 100%;
    margin-left: auto;
    position: relative;
    cursor: url("../Assets/Home/CURs/moroquint_Cursor_2.cur") 5 5, auto;
}

.menu-button img {
    height: 60%;
    width: auto;
    position: absolute;
    left: 50%;
    top: 50%;
    transform: translate(-50%, -50%);
    transition: .3s ease;
}

.menu-button.active img {
    top: 50%;
    transform: translate(-50%, -50%) rotate(180deg);
}

/* Services_overview styles */

#Services_overview_description{
    height: auto;
    min-height: auto;
    display: grid;
    grid-template-rows: 1fr 1fr;
    grid-template-columns: 1fr;
}

#Services_overview_txt{
    display: grid;
    width: 100%;
    margin-left: 0%;
    text-align: center;
}

#Services_overview_txt h1{
    font-size: 8vw;
    margin-bottom: 5vh;
    margin-top: 5vh;
}

#Services_overview_txt h2{
    font-size: 2vw;
    width: 80%;
    padding-inline: 10%;
    font-family: "Space grotesk", sans-serif;
    font-weight: 100;
}

#Services_overview_pic{
    width: 100%;
    margin-top: 5vh;
    display: flex;
    justify-content: center;
    align-items: center;
}

#Services_overview_pic img{
    width: 80%;
}

#first_row{
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: 5vh;
    margin-top: 5vh;
}

#service_card{
    border: 1px #EBEBEB solid;
    width: 80%;
}

#card_title{
    border-bottom: 1px #EBEBEB solid;
    padding: 1rem;
    display: flex;
    justify-content: space-between;
    align-items: center;
}

#card_title h1{
    font-size: 4vw;
    font-family: "Space grotesk", sans-serif;
}

#card_title img{
    height: 5vh;
    min-height: 60px;
}

#card_body{
    display: flex;
    flex-direction: column;
    justify-content: start;
    align-items: start;
    padding: 1rem;
}

#card_body_discription{
    font-family: "Space grotesk", sans-serif;
    font-weight: 100;
    font-size: 3vw;
    margin-bottom: 2rem;
    height: 15vh;
    min-height: 200px;
    max-height: 250px;
}

#card_body_link{
    width: 40%;
}

#card_body_link :hover{
    cursor: url("../Assets/Home/CURs/moroquint_Cursor_2.cur")0 0, pointer;
}

#card_body_link_container{
    display: flex;
    justify-content: space-between;
    align-items: center;
}

#card_body_link_container h1{
    font-size: 5vw;
    font-weight: 500;
    font-family: "Space grotesk", sans-serif;
}

#card_body_link_container img{
    width: 5vw;
}

#second_row{
    display: flex;
    flex-direction: column;
    justify-content:center;
    align-items: center;
    gap: 5vh;
    margin-top: 5vh;
}

/* Why MOROQUNT section styles */

#why_container{
    height: 100vh;
    min-height: 1000px;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items:start;
    margin-inline: 4%;
    padding-top: 25vh;
    padding-bottom: 25vh;
}

#why_moroquint{
    margin-bottom: 5vh;
    font-size: 7vw;
    margin-inline: -2%;
    width: 100%;
    text-align: center;
}

#sub_question_container{
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    align-items: center;
    gap: 15vh;
    width: 100%;
    height: 100vh;
}

#sub_question{
    width: 80%;
    display: flex;
    flex-direction: column;
    justify-content: start;
    align-items: start;
}

#sub_question h1{
    margin-bottom: 1rem;
    font-size: 4vw;
    font-weight: 500;
    font-family: "Space grotesk", sans-serif;
}

#sub_question h2{
    font-size: 3vw;
    font-weight: 100;
    font-family: "Space grotesk", sans-serif;
}

/* Services CTA section styles */

#services_quote{
    display: grid;
}

#services_quote h2{
    display: none;
}

#services_quote_track h1{
    font-size: 15vw;
    font-family: "Pixelify Sans", sans-serif;
    margin-top: 0px;
    padding-right: 20vw;
}

#cta_container{
    display: flex;
    flex-direction: column-reverse;
    justify-content: space-between;
    align-items: start;
    margin: 4%;
}

#encouraging_Text{
    margin-top: 10vh;
    margin-bottom: 10vh;
}

#encouraging_Text h1{
    font-size: 7vw;
    font-weight: 500;
    margin-bottom: 3vh;
    width: 100%;
}

#encouraging_Text h2{
    font-size: 3vw;
    font-weight: 100;
    font-family: "Space grotesk", sans-serif;
    width: 100%;
}

#services_form{
    width: 100%;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

#services_form h1{
    margin-top: 2vh;
    font-size: 3vw;
    font-weight: 400;
    align-self: start;
}

#services_form input{
    width: 80vw;
    height: 40px;
    background-color: #ebebeb28;
    border: none;
    margin-top: 1vh;
    padding-inline: 1rem;
    font-family: "Space grotesk", sans-serif;
    font-size: 16px;
}

#services_form textarea{
    width: 80vw;
    height: 100px;
    background-color: #ebebeb28;
    border: none;
    margin-top: 1vh;
    padding-inline: 1rem;
    padding-top: 2vh;
    font-family: "Space grotesk", sans-serif;
    font-size: 16px;
    resize: none;
}

#submit_button{
    border: 3px #EBEBEB solid;
    width: 100%;
    height: 40px;
    background-color: #111010;
    font-family: "Space grotesk", sans-serif;
    font-size: 3vw;
    margin-top: 2vh;
}

/* Footer section styles */

#Copyright_section{
    padding-inline: 2%;
}

#Copyright_text h1{
    font-size: 1.5vw;
}

#Copyright_text h2{
    color: #9370DB;
    font-size: 1.5vw;
}

#footer_logo img{
    height: 30px;
    margin-right: 1vw;
}

#footer_logo h1{
    font-size: 2VW;
    font-weight: 500;
}

}





/* Style for Screens under 500px width */

@media (max-width:500px) {

/* Hero section styles */

/* Navbar style */

.hidden-menu a{
    font-size: 7vw;
}

.hidden-menu.active a{
    font-size: 7vw;
}

body.menu-open{
    overflow: hidden;
}

/* Services_overview styles */

#Services_overview_txt h2{
    font-size: 3vw;
}

#card_title h1{
    font-size: 4vw;
    font-family: "Space grotesk", sans-serif;
}

#card_title img{
    height: 5vh;
    min-height: auto;
}

#card_body_discription{
    font-family: "Space grotesk", sans-serif;
    font-weight: 100;
    font-size: 3vw;
    margin-bottom: 2rem;
    height: 12vh;
    min-height: 120px;
    max-height: auto;
}

/* Why MOROQUNT section styles */

#why_container{
    height: 100vh;
    min-height: 500px;
    max-height: 700px;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items:start;
    margin-inline: 4%;
    padding-top: 25vh;
    padding-bottom: 25vh;
}


/* Footer section styles */

#footer_logo img{
    height: 20px;
}
}